Subject: Re: [bug#57034] [PATCH] gnu: packages: Add miniz.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 08 Aug 2022 06:29:23 +0200

Am Montag, dem 08.08.2022 um 00:36 +0000 schrieb Tobias Geerinckx-Rice:
> On 7 August 2022 16:42:35 UTC, Liliana Marie Prikler
> <[email-masked]> wrote:
> > > +     (synopsis "Simple replacement for @code{zlib}")
> > > +     (description
> > > +      "@code{miniz} is a small, simple alternative to the
> > > @code{zlib}
> > > +data compression library for manipulating zlib, DEFLATE, PNG,
> > > and
> > > ZIP
> > > +files from C.")
> > Avoid marketing terms :)
>  
> (Small and simple are marketing terms?  Be right back; I need to
> update my profile...)
> 
> ...no: avoid misleading or meaningless drivel, puffery, and
> redundancy.  Do, however, point out some basic features that might
> help users decide which of our oofteen deflate libraries fits their
> needs.  Add -er if you think it helps, or add some examples.
Maybe not always, but I think in this context they are.  Especially
"simple", who decides that?  Pardon my cynicism here, but my personal
opinion w.r.t. compression libraries is that projects tend to pick the
one they're already contractually obligated to use FSVO contractually
obligated.